Bug 616881 - Review Request: extracc - Package to use C++ pojects with Cruise Control [NEEDINFO]
Review Request: extracc - Package to use C++ pojects with Cruise Control
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-21 12:00 EDT by Christophe LACOMBE
Modified: 2014-01-16 04:21 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-20 08:30:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review?
orion: needinfo? (clacombe)


Attachments (Terms of Use)

  None (edit)
Description Christophe LACOMBE 2010-07-21 12:00:26 EDT
Spec URL: http://downloads.sourceforge.net/extracc/extracc.spec
SRPM URL: http://downloads.sourceforge.net/extracc/extracc-0.5.0-1.fc13.src.rpm
===============================================
Description:
That is my first package, and I am seeking a sponsor.
===============================================
That project aims at providing tools and code to be used in C++ projects that use CppUnit and/or trac, to be able to include them easily in CruiseControl.
The lib extracppunit can also be used by any C++ projects with cppunit to generate XML logs easyly.
Comment 1 Mamoru TASAKA 2010-08-21 13:39:24 EDT
Some notes:

* License
  - As far as I checked the source codes, the license tag should
    be "LGPLv2+".

* Version specific dependency
  - ">= 1.10" part on "BuildRequires: cppunit-devel" is not required
    because cppunit-devel on currently supported Fedora / EPEL
    branches all satisfy this version dependency. ref:
    https://fedoraproject.org/wiki/Packaging/Guidelines#Explicit_Requires

* pkgconfig dependency
  - Why does "Requires: pkgconfig" appear on -devel subpackage
    although no pkgconfig .pc file is installed in -devel subpackage?

* Timestamps
  - Please consider to use
----------------------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
----------------------------------------------------------------
    to keep timestamps on installed files. This method usually works
    for Makefiles generated by recent autotools.

* scriptlets
  - Current %post / %postun scriptlets for -devel subpackage are
    just redundant and should be removed.

* Directory ownership issue
  - The directory %{_datadir}/%{name}/ itself is not owned by any
    packages:
    https://fedoraproject.org/wiki/Packaging/Guidelines#File_and_Directory_Ownership
    https://fedoraproject.org/wiki/Packaging/UnownedDirectories#Common_Mistakes
Comment 2 Christophe LACOMBE 2010-08-22 17:24:56 EDT
Thanks for that review. I have integrated your comments and generated a new source RPM (corresponding to the new specification file), both available on SourceForge:
Spec URL: http://downloads.sourceforge.net/extracc/extracc.spec
SRPM URL: http://downloads.sourceforge.net/extracc/extracc-0.5.0-2.fc13.src.rpm
Comment 3 Mamoru TASAKA 2010-08-23 14:11:29 EDT
Okay, now:

-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few (or no) work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on my wiki page:
http://fedoraproject.org/wiki/User:Mtasaka#B._Review_request_tickets
(Check "No one is reviewing")

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 4 Christophe LACOMBE 2010-09-01 11:50:26 EDT
Dear Mamoru,

thanks a lot for the review, for your feedback... and for your support!

Yes, of course, I understand that I must bring more contribution than just that package. If you do not mind, I will review other package as soon as I can.

In the mid-time, as extracc is used by other project (namely stdair https://bugzilla.redhat.com/show_bug.cgi?id=614036), it is quite urgent to deliver it to not block them. So, I have seen with Denis and Son and we propose that Denis Arnaud do the request to submit extracc.

Then I will continue on my time to submit other review requests and do pre-review to be sponsored later.

Any way, thanks again for that review: since it is my first step in the Fedora packaging world, it is very particular for me; I'll remember for a long time :)

Best Regards

Christophe
Comment 5 Denis Arnaud 2010-09-01 12:18:41 EDT
May I request the ownership for that package directly from here, or should I create another review request linking to here?
Comment 6 Mamoru TASAKA 2010-09-01 13:32:33 EDT
@Christophe:
If you are going to give up importing this package for now,
when you submit another review request it will be the _first_ submission
of review request because this will be closed with NOTABUG (and
will be marked as a duplicate of the new review request if other
person submits new "extracc" review request). Is it okay?

Honestly saying, I don't want to close FE-NEEDSPONSER ticket
with NOTABUG easily.

@Denis:
(In reply to comment #5)
> May I request the ownership for that package directly from here, 
No. And note that I have _not approved_ this package yet.

> or should I create another review request linking to here?
Not linking here but mark this as a duplicate of the new one,
and you have to submit a srpm by yourself. However please wait
for the reply from Christophe.
Comment 7 Christophe LACOMBE 2010-09-02 10:41:26 EDT
Thanks a lot Mamoru,
I'm working on the packaging of a new package stdinv (also required by stdair).
This package also requires extracc, but if I understand well, this is not an issue as loong it is in review mode.
Comment 8 Mamoru TASAKA 2010-09-02 11:35:24 EDT
Okay, thank you.
Comment 9 Mamoru TASAKA 2010-09-22 13:14:56 EDT
Christophe, ping?
Comment 10 Mamoru TASAKA 2010-11-08 12:43:04 EST
What is the status of this bug?
Comment 11 Christophe LACOMBE 2010-11-10 05:40:31 EST
Sorry for this absence.
I'm quiet busy on other topic for the time being, but should take care of it as soon as possible.
Thanks.
Comment 12 Denis Arnaud 2013-10-20 08:32:47 EDT
Christophe Lacombe used to work in my team, and moved to another position sometime ago. He will no longer maintain Fedora/CentOS related packages.

Note You need to log in before you can comment on or make changes to this bug.